# shellcheck shell=bash
# vim: ft=sh

zinit light willghatch/zsh-saneopt
zinit light mafredri/zsh-async

export ZSHZ_CASE=smart
export ZSHZ_DATA="${ZSH_CACHE_DIR}/z"
zinit ice lucid wait'0' depth'1'
zinit light agkozak/zsh-z

if [ "$(id -u)" != "0" ] && [[ -n ${DISPLAY+set} ]]; then
	zstyle ':notify:*' expire-time 5000
	zstyle ':notify:*' command-complete-timeout 20
	zstyle ':notify:*' enable-on-ssh yes
	zinit light marzocchi/zsh-notify
fi

zinit snippet OMZL::clipboard.zsh
zinit snippet OMZL::key-bindings.zsh
zinit snippet OMZL::termsupport.zsh
zinit snippet OMZP::autojump
zinit snippet OMZP::command-not-found
zinit snippet OMZP::common-aliases
zinit snippet OMZP::debian
zinit snippet OMZP::isodate
zinit snippet OMZP::mosh
zinit snippet OMZP::nmap
zinit snippet OMZP::pre-commit
zinit snippet OMZP::rsync
zinit snippet OMZP::vscode
zinit snippet OMZP::web-search
zinit light brymck/print-alias

if command -v fzf > /dev/null 2>&1; then
	zinit ice lucid wait'0' mv"completion.zsh -> _fzf" pick"_fzf" as"completion"
	zinit snippet https://github.com/junegunn/fzf/blob/master/shell/completion.zsh
	zinit snippet https://github.com/junegunn/fzf/blob/master/shell/key-bindings.zsh

	zinit ice lucid wait'0' lucid
	zinit light joshskidmore/zsh-fzf-history-search
fi

if command -v git > /dev/null 2>&1; then
	GIT_AUTO_FETCH_INTERVAL=3600
	zinit snippet OMZP::git
	zinit snippet OMZP::git-extras
	zinit snippet OMZP::github
	[ -z ${SSH_CONNECTION+set} ] && zinit snippet OMZP::git-auto-fetch
fi

if command -v psql > /dev/null 2>&1; then
	zinit snippet OMZP::postgres
fi
if command -v sudo > /dev/null 2>&1; then
	zinit snippet OMZP::sudo
fi
if command -v systemctl > /dev/null 2>&1; then
	zinit snippet OMZP::systemd
fi
if command -v vim > /dev/null 2>&1; then
	zinit snippet OMZP::vim-interaction
fi
if command -v tmux > /dev/null 2>&1; then
	zstyle ':prezto:module:tmux:auto-start' local 'no'
	zstyle ':prezto:module:tmux:auto-start' remote 'no'
	zstyle ':prezto:module:tmux:session' name "$(hostname)"
	zinit ice pick'init.zsh'
	zinit light laggardkernel/zsh-tmux
	zinit light amyreese/zsh-titles
fi
if command -v kitty > /dev/null 2>&1; then
	zinit light redxtech/zsh-kitty
fi

