# shellcheck shell=bash
# vim: ft=sh

# Copy this file to 55-agents.user.zsh and modify to your needs

##
# SSH agent
##
# zstyle :omz:plugins:ssh-agent agent-forwarding on
# zstyle :omz:plugins:ssh-agent identities id_rsa
# zstyle :omz:plugins:ssh-agent lifetime 10h
# zinit snippet OMZP::ssh-agent

##
# GPG agent
##
if command -v gpg-agent >/dev/null 2>&1; then
	zinit snippet OMZP::gpg-agent
	if command -v gpg-conf >/dev/null 2>&1; then
		gpgconf --create-socketdir
	fi
fi

##
# Keychain
##
# zstyle :omz:plugins:keychain identities id_rsa 01234567
# zstyle :omz:plugins:keychain options --quiet --inherit any-once --noask --nocolor --gpg2 --absolute --dir ~/.cache/keychain
# zstyle :omz:plugins:keychain agents gpg,ssh
# zinit snippet OMZP::keychain
